#!/usr/bin/bash

# Wait for the current tty to be active before launching
tty=$1
shift

while [[ $(cat /sys/class/tty/tty0/active) != ${tty} ]]; do
        sleep 1
done

parse_locale() {
        while read line; do
                parsed=(${line})
                if [ ${parsed[0]} == "X11" ]; then
                        # Uppercase
                        varname=${parsed[1]^^}
                        # Remove ending ':''
                        varname=XKB_DEFAULT_${varname::-1}
                        export "${varname}=${parsed[2]}"
                fi
        done
}

# Get the keyboard layout from localectl
if [ -e /usr/bin/localectl ]; then
        parse_locale < <(/usr/bin/localectl status)
fi

# Run the remaining arguments
exec $@
